import { Injector } from '@angular/core';
import { MatDialogConfig } from '@angular/material/dialog';
import { MatModal } from '../modal';
import { MatSide, MatSideConfig } from '../side';
export declare class NewFrameConfig {
    constructor(config?: any);
    keys: string[];
    height: number;
    width: number;
    left: number;
    top: number;
    toolbar: string;
    location: string;
    menubar: string;
    resizable: string;
    scrollbars: string;
    status: string;
    titlebar: string;
    private _setCenter;
    toString(): string;
}
export declare class MatLayer {
    private _injector;
    private _modal;
    private _side;
    constructor(_injector: Injector, _modal: MatModal, _side: MatSide);
    openBlank(url: string, onSameUrlOpen?: 'reload' | 'new'): Window;
    openWindow(url: string, config?: any, onSameUrlOpen?: 'reload' | 'new'): Window;
    openDialog(component: any, config?: MatDialogConfig): void;
    openSide(component: any, config?: MatSideConfig): void;
}
