import { AfterViewInit } from '@angular/core';
import { MatReactiveFormControl } from '../reactive-form-control';
import { MatCheckboxListModule } from '../../checkbox';
import { MatListReactive } from './list';
import { MatTableReactive } from './table';
export declare class MatInputReactive extends MatReactiveFormControl {
}
export declare class MatTextareaReactive extends MatReactiveFormControl {
}
export declare class MatImageReactive extends MatReactiveFormControl {
}
export declare class MatFileReactive extends MatReactiveFormControl {
}
export declare class MatDropdownReactive extends MatReactiveFormControl {
}
export declare class MatTimeReactive extends MatReactiveFormControl {
}
export declare class MatDateReactive extends MatReactiveFormControl {
}
export declare class MatNumberReactive extends MatReactiveFormControl {
}
export declare class MatCheckboxReactive extends MatReactiveFormControl {
}
export declare class MatRadioReactive extends MatReactiveFormControl {
}
export declare class MatSelectButtonReactive extends MatReactiveFormControl {
}
export declare class MatToggleReactive extends MatReactiveFormControl {
}
export declare class MatSliderReactive extends MatReactiveFormControl {
}
export declare class MatTreeReactive extends MatReactiveFormControl {
}
export declare class MatTextReactive extends MatReactiveFormControl implements AfterViewInit {
    ngAfterViewInit(): void;
    private _displayValue;
    get displayValue(): string;
    set displayValue(value: string);
}
export declare class MatTitleReactive extends MatReactiveFormControl {
    get displayValue(): string;
}
export declare class MatLineReactive extends MatReactiveFormControl {
}
export declare const MatReactiveModule: (typeof MatCheckboxListModule)[];
export declare type MatReactiveFormComponentsName = 'input' | 'image' | 'file' | 'textarea' | 'dropdown' | 'time' | 'date' | 'number' | 'checkbox' | 'radio' | 'selectButton' | 'toggle' | 'slider' | 'tree' | 'list' | 'table' | 'text' | 'title' | 'line';
export declare function isFormComponent(componentName: MatReactiveFormComponentsName): boolean;
export declare const MatReactiveFormComponentsMap: {
    input: typeof MatInputReactive;
    image: typeof MatImageReactive;
    file: typeof MatFileReactive;
    textarea: typeof MatTextareaReactive;
    dropdown: typeof MatDropdownReactive;
    time: typeof MatTimeReactive;
    date: typeof MatDateReactive;
    number: typeof MatNumberReactive;
    checkbox: typeof MatCheckboxReactive;
    radio: typeof MatRadioReactive;
    selectButton: typeof MatSelectButtonReactive;
    toggle: typeof MatToggleReactive;
    slider: typeof MatSliderReactive;
    tree: typeof MatTreeReactive;
    list: typeof MatListReactive;
    table: typeof MatTableReactive;
    text: typeof MatTextReactive;
    title: typeof MatTitleReactive;
    line: typeof MatLineReactive;
};
export declare const MatReactiveFormComponents: (typeof MatListReactive | typeof MatTableReactive | typeof MatInputReactive)[];
