import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup, FormBuilder, FormArray } from '@angular/forms';
import { MatReactiveFormService } from '../reactive-form-service';
export declare class MatListReactive implements OnInit {
    _fb: FormBuilder;
    private _cd;
    private _reactiveService;
    constructor(_fb: FormBuilder, _cd: ChangeDetectorRef, _reactiveService: MatReactiveFormService);
    formControl: FormArray;
    rootFormGroup: FormGroup;
    private _subscription;
    private _config;
    get config(): any;
    set config(value: any);
    private _canAdd;
    get canAdd(): boolean;
    set canAdd(value: boolean);
    private _canDelete;
    get canDelete(): any;
    set canDelete(value: any);
    private _addText;
    get addText(): string;
    set addText(value: string);
    private _deleteText;
    get deleteText(): string;
    set deleteText(value: string);
    formArray: any;
    setFormArray(value: any): void;
    onPathValue(value: any): void;
    setOperation(): void;
    registerChangeEvent(): void;
    add(): void;
    remove(index: number): void;
    ngOnInit(): void;
}
