import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
export interface MatReactiveHttpConfig {
    url: string;
    method?: 'post' | 'get';
    relational?: string;
    dataPath?: string;
    body?: any;
    headers?: {
        [key: string]: string | string[];
    };
    queryParams?: any;
    withCredentials?: boolean;
    setResult?: (data: any) => any | string;
}
export declare class MatReactiveHttpRequest {
    _http: HttpClient;
    constructor(_http: HttpClient, _httpConfig: MatReactiveHttpConfig);
    private _config;
    private _headers;
    private _getHttpParams;
    private _getBody;
    private _getHttpHeaders;
    private _getHttpWithCredentials;
    private _getRequestOptions;
    private _getRequest;
    private _postRequest;
    private _executeSetResult;
    Request(formValue: any): Observable<any>;
}
