import { InjectionToken } from '@angular/core';
export declare class MatReactiveFormMessageConfig {
    required: string;
    notEmpty: string;
    includes: string;
    maxlength: string;
    minlength: string;
    startsWith: string;
    endsWith: string;
    json: string;
    pattern: string;
    lessThan: string;
    greaterThan: string;
    min: string;
    max: string;
    compare: string;
    different: string;
    unique: string;
}
export declare const MAT_REACTIVE_FORM_MESSAGE_CONFIG: InjectionToken<MatReactiveFormMessageConfig>;
export declare function MAT_REACTIVE_FORM_MESSAGE_CONFIG_FACTORY(): MatReactiveFormMessageConfig;
export declare const MAT_REACTIVE_FORM_ERROR_MESSAGE_STRATEGY: InjectionToken<MatReactiveFormErrorMessageStrategy>;
export declare function MAT_REACTIVE_FORM_ERROR_MESSAGE_STRATEGY_FACTORY(): MatReactiveFormErrorMessageStrategy;
export declare enum MatReactiveFormErrorMessageStrategy {
    OnDirty = "dirty",
    OnTouched = "touched",
    OnSubmitted = "submitted",
    OnDirtyOrTouched = "dirty-or-touched",
    OnDirtyOrSubmitted = "dirty-or-submitted",
    OnTouchedOrSubmitted = "touched-or-submitted"
}
