import { ElementRef, ViewContainerRef, ChangeDetectorRef, DoCheck } from '@angular/core';
import { MatSlider } from '@angular/material/slider';
export declare class MatSliderRule implements DoCheck {
    private _view;
    private _slider;
    private _el;
    private _cd;
    constructor(_view: ViewContainerRef, _slider: MatSlider, _el: ElementRef, _cd: ChangeDetectorRef);
    private _rule;
    set rule(value: boolean);
    get rule(): boolean;
    private _textInterval;
    set textInterval(value: number);
    get textInterval(): number;
    toggleClass(add: boolean): void;
    private _ruleWapperEle;
    private _backgroundRuleEle;
    private _fillRuleEle;
    private _ruleTextEle;
    private _sliderValue;
    set sliderValue(value: number);
    get sliderValue(): number;
    clearElement(): void;
    getWapperRuleEle(): HTMLElement;
    getRuleTextEle(): HTMLElement;
    getFillRuleEle(): HTMLElement;
    getBackgroundRuleEle(): HTMLElement;
    setRuleStyle(): void;
    getTickIntervalPercent(isFill: boolean): string;
    getRuleText(): string;
    ngDoCheck(): void;
}
