import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { MatTextLightPipe } from './textlight-pipe';
export declare const MAT_TEXT_LIGHT_DEFAULT_DEBOUNCETIME = 300;
export declare class MatTextLightDirective extends MatTextLightPipe implements OnDestroy, OnInit {
    _sanitizer: DomSanitizer;
    private _el;
    /** Search change subject */
    private _search$;
    /** Search subscription */
    private _subscription;
    constructor(_sanitizer: DomSanitizer, _el: ElementRef);
    private _color;
    set color(value: string);
    get color(): string;
    private _bgcolor;
    set bgcolor(value: string);
    get bgcolor(): string;
    private _content;
    set content(value: string);
    get content(): string;
    private _search;
    set search(value: string);
    get search(): string;
    private _highlight;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
