import { ConnectedPosition } from '@angular/cdk/overlay';
export declare const MAT_DEFAULT_POSITION = "TC";
export declare type MatPosition = 'LT' | 'LC' | 'LB' | 'TL' | 'TC' | 'TR' | 'RT' | 'RC' | 'RB' | 'BL' | 'BC' | 'BR';
export declare const MAT_POSITIONS: string[];
export declare function verifyPosition(position: MatPosition): void;
export declare function getPositionName(key: MatPosition): string[];
export declare function getConnectedPositionMap(offsetX?: number, offsetY?: number): {
    LT: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    LC: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    LB: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    TL: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    TC: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    TR: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    RT: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    RC: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    RB: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    BL: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    BC: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
    BR: {
        originX: string;
        originY: string;
        overlayX: string;
        overlayY: string;
        offsetX: number;
        offsetY: number;
    };
};
export declare function getPosition(position: MatPosition, offsetX?: number, offsetY?: number): ConnectedPosition;
export declare function getInvertPosition(position: MatPosition, offsetX?: number, offsetY?: number): ConnectedPosition;
export declare function getWithPositions(position: MatPosition, offsetX?: number, offsetY?: number): ConnectedPosition[];
export declare function getPositionNameByPosition(position: ConnectedPosition): string;
