export declare class MatUtils {
    static isObject(value: any): boolean;
    static isArray(value: any): boolean;
    static isNull(value: any): boolean;
    static isEmpty(value: any, trim?: boolean): boolean;
    static isJson(value: any): boolean;
    static getObjectValue(key: string, object: {
        [key: string]: any;
    }): any;
    static setObjectValue(key: string, newValue: any, object: {
        [key: string]: any;
    }): {
        [key: string]: any;
    };
    static isStringFunction(expression: string): boolean;
    static functionCreator(expression: any): any;
    static isFormData(formValue: any): boolean;
    static isBlob(formValue: any): boolean;
    static isArrayBuffer(formValue: any): boolean;
    /** Execute function or value to boolean. */
    static executeBooleanValue(value: any, params: any): boolean;
    /** Execute function or value to string. */
    static executeStringValue(value: any, params: any): any;
    /** Execute function or value to object. */
    static executeObjectValue(value: any, params: any): any;
    /** Execute function or value to function. */
    static executeFunctionValue(value: any): any;
}
