import { ElementRef, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { MatImageBase, MatImageConfig } from './image-base';
export declare const MAT_IMAGE_LIST_DEFAULT_GUTTER = 12;
export declare class MatImageList extends MatImageBase implements AfterViewInit {
    _ele: ElementRef;
    _cd: ChangeDetectorRef;
    _defaultConfig: MatImageConfig;
    constructor(_ele: ElementRef, _cd: ChangeDetectorRef, _defaultConfig: MatImageConfig);
    /** Spacing between pictures */
    private _gutter;
    set gutter(value: number);
    get gutter(): number;
    /** Data source of the images. */
    private _dataSource;
    set dataSource(dataValue: MatImageConfig[]);
    get dataSource(): MatImageConfig[];
    ngAfterViewInit(): void;
}
