import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
export declare class MatModalComponent {
    modalRef: MatDialogRef<any>;
    data: any;
    constructor(modalRef: MatDialogRef<any>, data: any);
}
export declare class MatConfirmContainer extends MatModalComponent implements OnInit {
    ngOnInit(): void;
    title: string;
    content: string;
    accept: string;
    reject: string;
    closeable: boolean;
    close(result?: boolean): void;
}
export declare class MatPromptContainer extends MatModalComponent implements OnInit {
    ngOnInit(): void;
    title: string;
    content: string;
    accept: string;
    reject: string;
    closeable: boolean;
    placeholder: string;
    value: string;
    close(result?: boolean | string): void;
}
