import { ChangeDetectorRef } from '@angular/core';
import { FormGroup, FormBuilder, FormArray } from '@angular/forms';
import { MatReactiveFormService } from '../reactive-form-service';
export declare class MatTableReactive {
    _fb: FormBuilder;
    private _cd;
    private _reactiveService;
    constructor(_fb: FormBuilder, _cd: ChangeDetectorRef, _reactiveService: MatReactiveFormService);
    formControl: FormArray;
    rootFormGroup: FormGroup;
    private _subscription;
    private _config;
    get config(): any;
    set config(value: any);
    formArray: any;
    header: string[];
    private _canAdd;
    get canAdd(): boolean;
    set canAdd(value: boolean);
    private _canDelete;
    get canDelete(): any;
    set canDelete(value: any);
    private _addText;
    get addText(): string;
    set addText(value: string);
    private _deleteText;
    get deleteText(): string;
    set deleteText(value: string);
    setFormArray(value: any): void;
    onPathValue(value: any): void;
    setHeader(): void;
    setOperation(): void;
    registerChangeEvent(): void;
    getRelativeRoot(index: number): import("@angular/forms").AbstractControl;
    add(): void;
    remove(index: number): void;
}
