/** 排序顺序 */
export declare const SortOrder: string[];
export interface MatReactiveTableViewOptions {
    label?: string;
    value?: string;
    default?: boolean;
}
export declare class MatReactiveTableOperationConfig {
    label?: string;
    action?: string | ((rowData: any) => void);
    disabled?: string | ((rowData: any) => boolean);
    permission?: string;
    [key: string]: any;
}
export declare class MatReactiveTableHeaderConfig {
    panel?: {
        sortable?: boolean;
        dataSource?: any;
        multiple?: boolean;
        valueField?: string;
        viewField: string;
        [key: string]: any;
    };
    resizeable?: boolean;
    width?: number;
    title: string | ((e: any) => string);
    field: string;
    sticky?: 'end' | 'start';
    disabledToggle?: boolean;
    format?: {
        type: 'date' | 'number' | 'lowercase' | 'uppercase' | 'percent' | 'dict' | 'function' | 'link';
        value: any;
    };
}
export declare class MatReactiveTableToolBarConfig {
    fuzzy?: boolean;
    fuzzyField?: string;
    fuzzyPlaceholder?: string;
    advanceSearch?: boolean;
    advanceSearchText?: string;
    export?: boolean;
    exportText?: string;
    exportUrl?: string;
    fieldSetting?: boolean;
    fieldSettingText?: string;
    view?: boolean;
    viewField?: string;
    viewOptions?: string;
}
